## org.eclipse.datatools.sqltools.sqlbuilder.views.fullselect
Class ValuesViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.datatools.sqltools.sqlbuilder.views.BaseWindow
              org.eclipse.datatools.sqltools.sqlbuilder.views.fullselect.ValuesViewer

All Implemented Interfaces:
  org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.swt.widgets.Listener

    public class ValuesViewer

extends BaseWindow

Constructor Summary
`ValuesViewer(SQLDomainModel domain)`

Method Summary
`org.eclipse.swt.widgets.Control` `createControl(org.eclipse.swt.widgets.Composite c)`
`void` `handleEvent(org.eclipse.swt.widgets.Event e)`

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.BaseWindow
`getControl, getDomainModel, getInput, getSelection, refresh, setInput, setSelection`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValuesViewer

    public ValuesViewer(SQLDomainModel domain)

Method Detail

### handleEvent

    public void handleEvent(org.eclipse.swt.widgets.Event e)

### createControl

    public org.eclipse.swt.widgets.Control createControl(org.eclipse.swt.widgets.Composite c)